import vButton from "./v-button";
import vIcon from "./v-icon";
import vTable from "./v-table";
import vTableColumn from "./v-table-column";
import vPage from "./v-page";
import vDialog from "./v-dialog";
import vLabel from "./v-label";



// 引入vxe-table  注意~~！！！这块东西，特别是 vxe-table 的 css 文件，不要放在 styles/index.scss 的后面，因为后者的样式要覆盖前者
import 'xe-utils';
import VXETable from 'vxe-table';
import 'vxe-table/lib/index.css';

import vDragScroller from "v-drag-scroller";
import directives from "v-directives";

const components = [
	vButton,
	vIcon,
	vTable,
	vTableColumn,
	vPage,
	vDialog,
	vLabel
];

const install = function(Vue, opts = {}) {
	components.forEach(component => {
		Vue.component(component.name, component);
	});
	
	Vue.use(VXETable, {  //配置 VXETable 全局默认参数
		// zIndex: 3000,
		table: {
			showOverflow: 'ellipsis',  // 这货会使 fixed="left" 的部分只生成目标列节点，导致出现滚动条，如果没有它，左侧固定部分会生成所有列的节点，滚动条被遮住
			showHeaderOverflow: 'tooltip',
			showFooterOverflow: 'tooltip',
			resizable: true,
			autoResize: true,
			stripe: true,
			border: true,
			scrollY: {gt: 50}  //大于50行时开启虚拟滚动
		}
	});

	Vue.use(vDragScroller);
	
	Vue.prototype.$VCOMPONENTS = {
		// page: opts.page
		...opts
	};

	// 注册指令
	directives.install(Vue);
};



/* 支持使用标签的方式引入 */
if (typeof window !== "undefined" && window.Vue) {
	install(window.Vue); // 如果是window自动调用用install
}

export default {
	install
};

export {
	vButton,
	vIcon,
	vTable,
	vTableColumn,
	vPage,
	vDialog,
	vLabel
};
