# 弹窗组件（主要针对表单）
> v0.0.1

## 概述
封装了以 element-ui 的 el-dialog，特点是上下左右居中，不会超出屏幕而出现页面级别的滚动条，如果内容太长，会自动生成内部滚动条。

## 基本使用


```
<v-dialog title="新增">
	<el-form :model="fd">
		<el-form-item prop="name" lable="姓名">
			<el-input v-model="fd.name"></el-input>
		</el-form-item>
	</el-form>
</v-dialog>
```

## api

### props
| 属性             | 说明                   | 类型           | 默认值  |
| --------------- | ---------------------- | ------------- | ------ |
| width           | 弹窗窗体宽度             | String        | 600px  |
| unity           | 使用统一表单样式（如果 detail 为 true，则该属性设置无效）   | Boolean  | true   |
| detail          | 是否是查看详情（详情样式） | Boolean       | false  |
| loading         | body部分的loading       | Boolean       |        |
| confirmLoading  | 确定按钮的加载状态        | Boolean       |        |
| showFullscreen  | 是否显示全屏按钮          | Boolean       |        |
| 其余属性->       | 请参考->                | ElementUI     | thanks |

### events
@confirm  点击确定按钮后的回调

### methods

### tips
该弹窗主要是针对弹窗表单而作，建议宽度为 9 个表单项内，设置为单列表单，宽度 600px；大于 9 个表单项的，设置为双列表单，宽度 1000px，并使用 el-row，el-col 来布局。

* 如果右边的 el-form-item__content 部分的组件没有边框，如 el-switch、el-radio、el-checkbox 等，只需在 el-form-item 组件上加上一个 class="content-border" 即可。例如：（注：单个的 el-radio、el-checkbox 需要手动加 class，如果是一个组，如 el-radio-group、el-checkbox-group 则无需加 class）
```
<v-dialog title="配置">
	<el-form :model="fd">
		<el-form-item prop="open" lable="是否开启" class="content-border">
			<el-switch v-model="fd.open"></el-switch>
		</el-form-item>
	</el-form>
</v-dialog>
```

---