/**
 * Created by jiachenpan on 16/11/18.
 */

/**
 * @description 获取表格高度
 * @param  type  {String}  default: 'table'  table 表格高度，content 包含页码的表格高度， all 两者皆获取
 */
export const getTableHeight = (type) => {
	let $navbar = document.getElementById('navbar') || {offsetHeight: 48};
	let $tagsview = document.getElementById('tags-view') || {offsetHeight: 41};  //用offsetHeight不用clientHeight是因为后者的高度不包括border
	// console.log('navbar', $navbar.offsetHeight);
	// console.log('tagsview', $tagsview.offsetHeight);
	let $opers = document.getElementsByClassName('oper-container');
	let $operHeight = $opers && $opers.length ? ($opers[0].offsetHeight || 40) : 40;
	let $vPages = document.getElementsByClassName('pagination-container');

	let contentHeightFull = getViewPortHeight() - ($navbar.offsetHeight + $tagsview.offsetHeight + $operHeight);
	let contentHeight = contentHeightFull - 2;
	if (type === 'content') {
		return contentHeight;
	}
	let $paginationHeight = $vPages && $vPages.length ? (($vPages[0].offsetHeight || 33) + 7) : 40;
	let tableHeight = contentHeightFull - $paginationHeight;
	// console.log('operContainer', $operHeight, tableHeight);
	return type === 'all' ? {tableHeight, contentHeight} : tableHeight;
};

/**
 * @description 获取可视区高度
 * @returns
 */
export const getViewPortHeight = () => {
	return document.documentElement.clientHeight || document.body.clientHeight;
};